org.apache.ignite.internal.processors.cache

## Interface GridCacheMapEntryFactory

    public interface GridCacheMapEntryFactory

Factory for cache entries.

### Method Summary

Methods
`GridCacheMapEntry` `create(GridCacheContext ctx, AffinityTopologyVersion topVer, KeyCacheObject key, int hash, CacheObject val)`

### Method Detail

#### create

    GridCacheMapEntry create(GridCacheContext ctx,
                           AffinityTopologyVersion topVer,
                           KeyCacheObject key,
                           int hash,
                           CacheObject val)

Parameters:
  `ctx` - Cache registry.
  `topVer` - Topology version.
  `key` - Cache key.
  `hash` - Key hash value.
  `val` - Entry value.
Returns:
  New cache entry.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.6.0
Release Date | : May 18 2016